XCB XFixes API

XFixes XCB Protocol Implementation. More...

## Data Structures

struct | xcb_xfixes_query_version_cookie_t
| xcb_xfixes_query_version_cookie_t More...
struct | xcb_xfixes_query_version_request_t
| xcb_xfixes_query_version_request_t More...
struct | xcb_xfixes_query_version_reply_t
| xcb_xfixes_query_version_reply_t More...
struct | xcb_xfixes_change_save_set_request_t
| xcb_xfixes_change_save_set_request_t More...
struct | xcb_xfixes_selection_notify_event_t
| xcb_xfixes_selection_notify_event_t More...
struct | xcb_xfixes_select_selection_input_request_t
| xcb_xfixes_select_selection_input_request_t More...
struct | xcb_xfixes_cursor_notify_event_t
| xcb_xfixes_cursor_notify_event_t More...
struct | xcb_xfixes_select_cursor_input_request_t
| xcb_xfixes_select_cursor_input_request_t More...
struct | xcb_xfixes_get_cursor_image_cookie_t
| xcb_xfixes_get_cursor_image_cookie_t More...
struct | xcb_xfixes_get_cursor_image_request_t
| xcb_xfixes_get_cursor_image_request_t More...
struct | xcb_xfixes_get_cursor_image_reply_t
| xcb_xfixes_get_cursor_image_reply_t More...
struct | xcb_xfixes_region_iterator_t
| xcb_xfixes_region_iterator_t More...
struct | xcb_xfixes_bad_region_error_t
| xcb_xfixes_bad_region_error_t More...
struct | xcb_xfixes_create_region_request_t
| xcb_xfixes_create_region_request_t More...
struct | xcb_xfixes_create_region_from_bitmap_request_t
| xcb_xfixes_create_region_from_bitmap_request_t More...
struct | xcb_xfixes_create_region_from_window_request_t
| xcb_xfixes_create_region_from_window_request_t More...
struct | xcb_xfixes_create_region_from_gc_request_t
| xcb_xfixes_create_region_from_gc_request_t More...
struct | xcb_xfixes_create_region_from_picture_request_t
| xcb_xfixes_create_region_from_picture_request_t More...
struct | xcb_xfixes_destroy_region_request_t
| xcb_xfixes_destroy_region_request_t More...
struct | xcb_xfixes_set_region_request_t
| xcb_xfixes_set_region_request_t More...
struct | xcb_xfixes_copy_region_request_t
| xcb_xfixes_copy_region_request_t More...
struct | xcb_xfixes_union_region_request_t
| xcb_xfixes_union_region_request_t More...
struct | xcb_xfixes_intersect_region_request_t
| xcb_xfixes_intersect_region_request_t More...
struct | xcb_xfixes_subtract_region_request_t
| xcb_xfixes_subtract_region_request_t More...
struct | xcb_xfixes_invert_region_request_t
| xcb_xfixes_invert_region_request_t More...
struct | xcb_xfixes_translate_region_request_t
| xcb_xfixes_translate_region_request_t More...
struct | xcb_xfixes_region_extents_request_t
| xcb_xfixes_region_extents_request_t More...
struct | xcb_xfixes_fetch_region_cookie_t
| xcb_xfixes_fetch_region_cookie_t More...
struct | xcb_xfixes_fetch_region_request_t
| xcb_xfixes_fetch_region_request_t More...
struct | xcb_xfixes_fetch_region_reply_t
| xcb_xfixes_fetch_region_reply_t More...
struct | xcb_xfixes_set_gc_clip_region_request_t
| xcb_xfixes_set_gc_clip_region_request_t More...
struct | xcb_xfixes_set_window_shape_region_request_t
| xcb_xfixes_set_window_shape_region_request_t More...
struct | xcb_xfixes_set_picture_clip_region_request_t
| xcb_xfixes_set_picture_clip_region_request_t More...
struct | xcb_xfixes_set_cursor_name_request_t
| xcb_xfixes_set_cursor_name_request_t More...
struct | xcb_xfixes_get_cursor_name_cookie_t
| xcb_xfixes_get_cursor_name_cookie_t More...
struct | xcb_xfixes_get_cursor_name_request_t
| xcb_xfixes_get_cursor_name_request_t More...
struct | xcb_xfixes_get_cursor_name_reply_t
| xcb_xfixes_get_cursor_name_reply_t More...
struct | xcb_xfixes_get_cursor_image_and_name_cookie_t
| xcb_xfixes_get_cursor_image_and_name_cookie_t More...
struct | xcb_xfixes_get_cursor_image_and_name_request_t
| xcb_xfixes_get_cursor_image_and_name_request_t More...
struct | xcb_xfixes_get_cursor_image_and_name_reply_t
| xcb_xfixes_get_cursor_image_and_name_reply_t More...
struct | xcb_xfixes_change_cursor_request_t
| xcb_xfixes_change_cursor_request_t More...
struct | xcb_xfixes_change_cursor_by_name_request_t
| xcb_xfixes_change_cursor_by_name_request_t More...
struct | xcb_xfixes_expand_region_request_t
| xcb_xfixes_expand_region_request_t More...
struct | xcb_xfixes_hide_cursor_request_t
| xcb_xfixes_hide_cursor_request_t More...
struct | xcb_xfixes_show_cursor_request_t
| xcb_xfixes_show_cursor_request_t More...
struct | xcb_xfixes_barrier_iterator_t
| xcb_xfixes_barrier_iterator_t More...
struct | xcb_xfixes_create_pointer_barrier_request_t
| xcb_xfixes_create_pointer_barrier_request_t More...
struct | xcb_xfixes_delete_pointer_barrier_request_t
| xcb_xfixes_delete_pointer_barrier_request_t More...
struct | xcb_xfixes_set_client_disconnect_mode_request_t
| xcb_xfixes_set_client_disconnect_mode_request_t More...
struct | xcb_xfixes_get_client_disconnect_mode_cookie_t
| xcb_xfixes_get_client_disconnect_mode_cookie_t More...
struct | xcb_xfixes_get_client_disconnect_mode_request_t
| xcb_xfixes_get_client_disconnect_mode_request_t More...
struct | xcb_xfixes_get_client_disconnect_mode_reply_t
| xcb_xfixes_get_client_disconnect_mode_reply_t More...

## Macros

#define | XCB_XFIXES_MAJOR_VERSION 6
#define | XCB_XFIXES_MINOR_VERSION 0
#define | XCB_XFIXES_QUERY_VERSION 0
#define | XCB_XFIXES_CHANGE_SAVE_SET 1
#define | XCB_XFIXES_SELECTION_NOTIFY 0
#define | XCB_XFIXES_SELECT_SELECTION_INPUT 2
#define | XCB_XFIXES_CURSOR_NOTIFY 1
#define | XCB_XFIXES_SELECT_CURSOR_INPUT 3
#define | XCB_XFIXES_GET_CURSOR_IMAGE 4
#define | XCB_XFIXES_BAD_REGION 0
#define | XCB_XFIXES_CREATE_REGION 5
#define | XCB_XFIXES_CREATE_REGION_FROM_BITMAP 6
#define | XCB_XFIXES_CREATE_REGION_FROM_WINDOW 7
#define | XCB_XFIXES_CREATE_REGION_FROM_GC 8
#define | XCB_XFIXES_CREATE_REGION_FROM_PICTURE 9
#define | XCB_XFIXES_DESTROY_REGION 10
#define | XCB_XFIXES_SET_REGION 11
#define | XCB_XFIXES_COPY_REGION 12
#define | XCB_XFIXES_UNION_REGION 13
#define | XCB_XFIXES_INTERSECT_REGION 14
#define | XCB_XFIXES_SUBTRACT_REGION 15
#define | XCB_XFIXES_INVERT_REGION 16
#define | XCB_XFIXES_TRANSLATE_REGION 17
#define | XCB_XFIXES_REGION_EXTENTS 18
#define | XCB_XFIXES_FETCH_REGION 19
#define | XCB_XFIXES_SET_GC_CLIP_REGION 20
#define | XCB_XFIXES_SET_WINDOW_SHAPE_REGION 21
#define | XCB_XFIXES_SET_PICTURE_CLIP_REGION 22
#define | XCB_XFIXES_SET_CURSOR_NAME 23
#define | XCB_XFIXES_GET_CURSOR_NAME 24
#define | XCB_XFIXES_GET_CURSOR_IMAGE_AND_NAME 25
#define | XCB_XFIXES_CHANGE_CURSOR 26
#define | XCB_XFIXES_CHANGE_CURSOR_BY_NAME 27
#define | XCB_XFIXES_EXPAND_REGION 28
#define | XCB_XFIXES_HIDE_CURSOR 29
#define | XCB_XFIXES_SHOW_CURSOR 30
#define | XCB_XFIXES_CREATE_POINTER_BARRIER 31
#define | XCB_XFIXES_DELETE_POINTER_BARRIER 32
#define | XCB_XFIXES_SET_CLIENT_DISCONNECT_MODE 33
#define | XCB_XFIXES_GET_CLIENT_DISCONNECT_MODE 34

## Typedefs

typedef struct xcb_xfixes_query_version_cookie_t | xcb_xfixes_query_version_cookie_t
| xcb_xfixes_query_version_cookie_t
typedef struct xcb_xfixes_query_version_request_t | xcb_xfixes_query_version_request_t
| xcb_xfixes_query_version_request_t
typedef struct xcb_xfixes_query_version_reply_t | xcb_xfixes_query_version_reply_t
| xcb_xfixes_query_version_reply_t
typedef enum xcb_xfixes_save_set_mode_t | xcb_xfixes_save_set_mode_t
typedef enum xcb_xfixes_save_set_target_t | xcb_xfixes_save_set_target_t
typedef enum xcb_xfixes_save_set_mapping_t | xcb_xfixes_save_set_mapping_t
typedef struct xcb_xfixes_change_save_set_request_t | xcb_xfixes_change_save_set_request_t
| xcb_xfixes_change_save_set_request_t
typedef enum xcb_xfixes_selection_event_t | xcb_xfixes_selection_event_t
typedef enum xcb_xfixes_selection_event_mask_t | xcb_xfixes_selection_event_mask_t
typedef struct xcb_xfixes_selection_notify_event_t | xcb_xfixes_selection_notify_event_t
| xcb_xfixes_selection_notify_event_t
typedef struct xcb_xfixes_select_selection_input_request_t | xcb_xfixes_select_selection_input_request_t
| xcb_xfixes_select_selection_input_request_t
typedef enum xcb_xfixes_cursor_notify_t | xcb_xfixes_cursor_notify_t
typedef enum xcb_xfixes_cursor_notify_mask_t | xcb_xfixes_cursor_notify_mask_t
typedef struct xcb_xfixes_cursor_notify_event_t | xcb_xfixes_cursor_notify_event_t
| xcb_xfixes_cursor_notify_event_t
typedef struct xcb_xfixes_select_cursor_input_request_t | xcb_xfixes_select_cursor_input_request_t
| xcb_xfixes_select_cursor_input_request_t
typedef struct xcb_xfixes_get_cursor_image_cookie_t | xcb_xfixes_get_cursor_image_cookie_t
| xcb_xfixes_get_cursor_image_cookie_t
typedef struct xcb_xfixes_get_cursor_image_request_t | xcb_xfixes_get_cursor_image_request_t
| xcb_xfixes_get_cursor_image_request_t
typedef struct xcb_xfixes_get_cursor_image_reply_t | xcb_xfixes_get_cursor_image_reply_t
| xcb_xfixes_get_cursor_image_reply_t
typedef uint32_t | xcb_xfixes_region_t
typedef struct xcb_xfixes_region_iterator_t | xcb_xfixes_region_iterator_t
| xcb_xfixes_region_iterator_t
typedef struct xcb_xfixes_bad_region_error_t | xcb_xfixes_bad_region_error_t
| xcb_xfixes_bad_region_error_t
typedef enum xcb_xfixes_region_enum_t | xcb_xfixes_region_enum_t
typedef struct xcb_xfixes_create_region_request_t | xcb_xfixes_create_region_request_t
| xcb_xfixes_create_region_request_t
typedef struct xcb_xfixes_create_region_from_bitmap_request_t | xcb_xfixes_create_region_from_bitmap_request_t
| xcb_xfixes_create_region_from_bitmap_request_t
typedef struct xcb_xfixes_create_region_from_window_request_t | xcb_xfixes_create_region_from_window_request_t
| xcb_xfixes_create_region_from_window_request_t
typedef struct xcb_xfixes_create_region_from_gc_request_t | xcb_xfixes_create_region_from_gc_request_t
| xcb_xfixes_create_region_from_gc_request_t
typedef struct xcb_xfixes_create_region_from_picture_request_t | xcb_xfixes_create_region_from_picture_request_t
| xcb_xfixes_create_region_from_picture_request_t
typedef struct xcb_xfixes_destroy_region_request_t | xcb_xfixes_destroy_region_request_t
| xcb_xfixes_destroy_region_request_t
typedef struct xcb_xfixes_set_region_request_t | xcb_xfixes_set_region_request_t
| xcb_xfixes_set_region_request_t
typedef struct xcb_xfixes_copy_region_request_t | xcb_xfixes_copy_region_request_t
| xcb_xfixes_copy_region_request_t
typedef struct xcb_xfixes_union_region_request_t | xcb_xfixes_union_region_request_t
| xcb_xfixes_union_region_request_t
typedef struct xcb_xfixes_intersect_region_request_t | xcb_xfixes_intersect_region_request_t
| xcb_xfixes_intersect_region_request_t
typedef struct xcb_xfixes_subtract_region_request_t | xcb_xfixes_subtract_region_request_t
| xcb_xfixes_subtract_region_request_t
typedef struct xcb_xfixes_invert_region_request_t | xcb_xfixes_invert_region_request_t
| xcb_xfixes_invert_region_request_t
typedef struct xcb_xfixes_translate_region_request_t | xcb_xfixes_translate_region_request_t
| xcb_xfixes_translate_region_request_t
typedef struct xcb_xfixes_region_extents_request_t | xcb_xfixes_region_extents_request_t
| xcb_xfixes_region_extents_request_t
typedef struct xcb_xfixes_fetch_region_cookie_t | xcb_xfixes_fetch_region_cookie_t
| xcb_xfixes_fetch_region_cookie_t
typedef struct xcb_xfixes_fetch_region_request_t | xcb_xfixes_fetch_region_request_t
| xcb_xfixes_fetch_region_request_t
typedef struct xcb_xfixes_fetch_region_reply_t | xcb_xfixes_fetch_region_reply_t
| xcb_xfixes_fetch_region_reply_t
typedef struct xcb_xfixes_set_gc_clip_region_request_t | xcb_xfixes_set_gc_clip_region_request_t
| xcb_xfixes_set_gc_clip_region_request_t
typedef struct xcb_xfixes_set_window_shape_region_request_t | xcb_xfixes_set_window_shape_region_request_t
| xcb_xfixes_set_window_shape_region_request_t
typedef struct xcb_xfixes_set_picture_clip_region_request_t | xcb_xfixes_set_picture_clip_region_request_t
| xcb_xfixes_set_picture_clip_region_request_t
typedef struct xcb_xfixes_set_cursor_name_request_t | xcb_xfixes_set_cursor_name_request_t
| xcb_xfixes_set_cursor_name_request_t
typedef struct xcb_xfixes_get_cursor_name_cookie_t | xcb_xfixes_get_cursor_name_cookie_t
| xcb_xfixes_get_cursor_name_cookie_t
typedef struct xcb_xfixes_get_cursor_name_request_t | xcb_xfixes_get_cursor_name_request_t
| xcb_xfixes_get_cursor_name_request_t
typedef struct xcb_xfixes_get_cursor_name_reply_t | xcb_xfixes_get_cursor_name_reply_t
| xcb_xfixes_get_cursor_name_reply_t
typedef struct xcb_xfixes_get_cursor_image_and_name_cookie_t | xcb_xfixes_get_cursor_image_and_name_cookie_t
| xcb_xfixes_get_cursor_image_and_name_cookie_t
typedef struct xcb_xfixes_get_cursor_image_and_name_request_t | xcb_xfixes_get_cursor_image_and_name_request_t
| xcb_xfixes_get_cursor_image_and_name_request_t
typedef struct xcb_xfixes_get_cursor_image_and_name_reply_t | xcb_xfixes_get_cursor_image_and_name_reply_t
| xcb_xfixes_get_cursor_image_and_name_reply_t
typedef struct xcb_xfixes_change_cursor_request_t | xcb_xfixes_change_cursor_request_t
| xcb_xfixes_change_cursor_request_t
typedef struct xcb_xfixes_change_cursor_by_name_request_t | xcb_xfixes_change_cursor_by_name_request_t
| xcb_xfixes_change_cursor_by_name_request_t
typedef struct xcb_xfixes_expand_region_request_t | xcb_xfixes_expand_region_request_t
| xcb_xfixes_expand_region_request_t
typedef struct xcb_xfixes_hide_cursor_request_t | xcb_xfixes_hide_cursor_request_t
| xcb_xfixes_hide_cursor_request_t
typedef struct xcb_xfixes_show_cursor_request_t | xcb_xfixes_show_cursor_request_t
| xcb_xfixes_show_cursor_request_t
typedef uint32_t | xcb_xfixes_barrier_t
typedef struct xcb_xfixes_barrier_iterator_t | xcb_xfixes_barrier_iterator_t
| xcb_xfixes_barrier_iterator_t
typedef enum xcb_xfixes_barrier_directions_t | xcb_xfixes_barrier_directions_t
typedef struct xcb_xfixes_create_pointer_barrier_request_t | xcb_xfixes_create_pointer_barrier_request_t
| xcb_xfixes_create_pointer_barrier_request_t
typedef struct xcb_xfixes_delete_pointer_barrier_request_t | xcb_xfixes_delete_pointer_barrier_request_t
| xcb_xfixes_delete_pointer_barrier_request_t
typedef enum xcb_xfixes_client_disconnect_flags_t | xcb_xfixes_client_disconnect_flags_t
typedef struct xcb_xfixes_set_client_disconnect_mode_request_t | xcb_xfixes_set_client_disconnect_mode_request_t
| xcb_xfixes_set_client_disconnect_mode_request_t
typedef struct xcb_xfixes_get_client_disconnect_mode_cookie_t | xcb_xfixes_get_client_disconnect_mode_cookie_t
| xcb_xfixes_get_client_disconnect_mode_cookie_t
typedef struct xcb_xfixes_get_client_disconnect_mode_request_t | xcb_xfixes_get_client_disconnect_mode_request_t
| xcb_xfixes_get_client_disconnect_mode_request_t
typedef struct xcb_xfixes_get_client_disconnect_mode_reply_t | xcb_xfixes_get_client_disconnect_mode_reply_t
| xcb_xfixes_get_client_disconnect_mode_reply_t

## Enumerations

enum | xcb_xfixes_save_set_mode_t { XCB_XFIXES_SAVE_SET_MODE_INSERT = 0 , XCB_XFIXES_SAVE_SET_MODE_DELETE = 1 }
enum | xcb_xfixes_save_set_target_t { XCB_XFIXES_SAVE_SET_TARGET_NEAREST = 0 , XCB_XFIXES_SAVE_SET_TARGET_ROOT = 1 }
enum | xcb_xfixes_save_set_mapping_t { XCB_XFIXES_SAVE_SET_MAPPING_MAP = 0 , XCB_XFIXES_SAVE_SET_MAPPING_UNMAP = 1 }
enum | xcb_xfixes_selection_event_t { XCB_XFIXES_SELECTION_EVENT_SET_SELECTION_OWNER = 0 , XCB_XFIXES_SELECTION_EVENT_SELECTION_WINDOW_DESTROY = 1 , XCB_XFIXES_SELECTION_EVENT_SELECTION_CLIENT_CLOSE = 2 }
enum | xcb_xfixes_selection_event_mask_t { XCB_XFIXES_SELECTION_EVENT_MASK_SET_SELECTION_OWNER = 1 , XCB_XFIXES_SELECTION_EVENT_MASK_SELECTION_WINDOW_DESTROY = 2 , XCB_XFIXES_SELECTION_EVENT_MASK_SELECTION_CLIENT_CLOSE = 4 }
enum | xcb_xfixes_cursor_notify_t { XCB_XFIXES_CURSOR_NOTIFY_DISPLAY_CURSOR = 0 }
enum | xcb_xfixes_cursor_notify_mask_t { XCB_XFIXES_CURSOR_NOTIFY_MASK_DISPLAY_CURSOR = 1 }
enum | xcb_xfixes_region_enum_t { XCB_XFIXES_REGION_NONE = 0 }
enum | xcb_xfixes_barrier_directions_t { XCB_XFIXES_BARRIER_DIRECTIONS_POSITIVE_X = 1 , XCB_XFIXES_BARRIER_DIRECTIONS_POSITIVE_Y = 2 , XCB_XFIXES_BARRIER_DIRECTIONS_NEGATIVE_X = 4 , XCB_XFIXES_BARRIER_DIRECTIONS_NEGATIVE_Y = 8 }
enum | xcb_xfixes_client_disconnect_flags_t { XCB_XFIXES_CLIENT_DISCONNECT_FLAGS_DEFAULT = 0 , XCB_XFIXES_CLIENT_DISCONNECT_FLAGS_TERMINATE = 1 }

## Functions

xcb_xfixes_query_version_cookie_t | xcb_xfixes_query_version (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_xfixes_query_version_cookie_t | xcb_xfixes_query_version_unchecked (xcb_connection_t *c, uint32_t client_major_version, uint32_t client_minor_version)
xcb_xfixes_query_version_reply_t * | xcb_xfixes_query_version_reply (xcb_connection_t *c, xcb_xfixes_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xfixes_change_save_set_checked (xcb_connection_t *c, uint8_t mode, uint8_t target, uint8_t map, xcb_window_t window)
xcb_void_cookie_t | xcb_xfixes_change_save_set (xcb_connection_t *c, uint8_t mode, uint8_t target, uint8_t map, xcb_window_t window)
xcb_void_cookie_t | xcb_xfixes_select_selection_input_checked (xcb_connection_t *c, xcb_window_t window, xcb_atom_t selection, uint32_t event_mask)
xcb_void_cookie_t | xcb_xfixes_select_selection_input (xcb_connection_t *c, xcb_window_t window, xcb_atom_t selection, uint32_t event_mask)
xcb_void_cookie_t | xcb_xfixes_select_cursor_input_checked (xcb_connection_t *c, xcb_window_t window, uint32_t event_mask)
xcb_void_cookie_t | xcb_xfixes_select_cursor_input (xcb_connection_t *c, xcb_window_t window, uint32_t event_mask)
int | xcb_xfixes_get_cursor_image_sizeof (const void *_buffer)
xcb_xfixes_get_cursor_image_cookie_t | xcb_xfixes_get_cursor_image (xcb_connection_t *c)
xcb_xfixes_get_cursor_image_cookie_t | xcb_xfixes_get_cursor_image_unchecked (xcb_connection_t *c)
uint32_t * | xcb_xfixes_get_cursor_image_cursor_image (const xcb_xfixes_get_cursor_image_reply_t *R)
int | xcb_xfixes_get_cursor_image_cursor_image_length (const xcb_xfixes_get_cursor_image_reply_t *R)
xcb_generic_iterator_t | xcb_xfixes_get_cursor_image_cursor_image_end (const xcb_xfixes_get_cursor_image_reply_t *R)
xcb_xfixes_get_cursor_image_reply_t * | xcb_xfixes_get_cursor_image_reply (xcb_connection_t *c, xcb_xfixes_get_cursor_image_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_xfixes_region_next (xcb_xfixes_region_iterator_t *i)
xcb_generic_iterator_t | xcb_xfixes_region_end (xcb_xfixes_region_iterator_t i)
int | xcb_xfixes_create_region_sizeof (const void *_buffer, uint32_t rectangles_len)
xcb_void_cookie_t | xcb_xfixes_create_region_checked (xcb_connection_t *c, xcb_xfixes_region_t region, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_xfixes_create_region (xcb_connection_t *c, xcb_xfixes_region_t region, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_rectangle_t * | xcb_xfixes_create_region_rectangles (const xcb_xfixes_create_region_request_t *R)
int | xcb_xfixes_create_region_rectangles_length (const xcb_xfixes_create_region_request_t *R)
xcb_rectangle_iterator_t | xcb_xfixes_create_region_rectangles_iterator (const xcb_xfixes_create_region_request_t *R)
xcb_void_cookie_t | xcb_xfixes_create_region_from_bitmap_checked (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_pixmap_t bitmap)
xcb_void_cookie_t | xcb_xfixes_create_region_from_bitmap (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_pixmap_t bitmap)
xcb_void_cookie_t | xcb_xfixes_create_region_from_window_checked (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_window_t window, xcb_shape_kind_t kind)
xcb_void_cookie_t | xcb_xfixes_create_region_from_window (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_window_t window, xcb_shape_kind_t kind)
xcb_void_cookie_t | xcb_xfixes_create_region_from_gc_checked (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_gcontext_t gc)
xcb_void_cookie_t | xcb_xfixes_create_region_from_gc (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_gcontext_t gc)
xcb_void_cookie_t | xcb_xfixes_create_region_from_picture_checked (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_render_picture_t picture)
xcb_void_cookie_t | xcb_xfixes_create_region_from_picture (xcb_connection_t *c, xcb_xfixes_region_t region, xcb_render_picture_t picture)
xcb_void_cookie_t | xcb_xfixes_destroy_region_checked (xcb_connection_t *c, xcb_xfixes_region_t region)
xcb_void_cookie_t | xcb_xfixes_destroy_region (xcb_connection_t *c, xcb_xfixes_region_t region)
int | xcb_xfixes_set_region_sizeof (const void *_buffer, uint32_t rectangles_len)
xcb_void_cookie_t | xcb_xfixes_set_region_checked (xcb_connection_t *c, xcb_xfixes_region_t region, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_void_cookie_t | xcb_xfixes_set_region (xcb_connection_t *c, xcb_xfixes_region_t region, uint32_t rectangles_len, const xcb_rectangle_t *rectangles)
xcb_rectangle_t * | xcb_xfixes_set_region_rectangles (const xcb_xfixes_set_region_request_t *R)
int | xcb_xfixes_set_region_rectangles_length (const xcb_xfixes_set_region_request_t *R)
xcb_rectangle_iterator_t | xcb_xfixes_set_region_rectangles_iterator (const xcb_xfixes_set_region_request_t *R)
xcb_void_cookie_t | xcb_xfixes_copy_region_checked (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_copy_region (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_union_region_checked (xcb_connection_t *c, xcb_xfixes_region_t source1, xcb_xfixes_region_t source2, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_union_region (xcb_connection_t *c, xcb_xfixes_region_t source1, xcb_xfixes_region_t source2, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_intersect_region_checked (xcb_connection_t *c, xcb_xfixes_region_t source1, xcb_xfixes_region_t source2, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_intersect_region (xcb_connection_t *c, xcb_xfixes_region_t source1, xcb_xfixes_region_t source2, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_subtract_region_checked (xcb_connection_t *c, xcb_xfixes_region_t source1, xcb_xfixes_region_t source2, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_subtract_region (xcb_connection_t *c, xcb_xfixes_region_t source1, xcb_xfixes_region_t source2, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_invert_region_checked (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_rectangle_t bounds, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_invert_region (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_rectangle_t bounds, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_translate_region_checked (xcb_connection_t *c, xcb_xfixes_region_t region, int16_t dx, int16_t dy)
xcb_void_cookie_t | xcb_xfixes_translate_region (xcb_connection_t *c, xcb_xfixes_region_t region, int16_t dx, int16_t dy)
xcb_void_cookie_t | xcb_xfixes_region_extents_checked (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_xfixes_region_t destination)
xcb_void_cookie_t | xcb_xfixes_region_extents (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_xfixes_region_t destination)
int | xcb_xfixes_fetch_region_sizeof (const void *_buffer)
xcb_xfixes_fetch_region_cookie_t | xcb_xfixes_fetch_region (xcb_connection_t *c, xcb_xfixes_region_t region)
xcb_xfixes_fetch_region_cookie_t | xcb_xfixes_fetch_region_unchecked (xcb_connection_t *c, xcb_xfixes_region_t region)
xcb_rectangle_t * | xcb_xfixes_fetch_region_rectangles (const xcb_xfixes_fetch_region_reply_t *R)
int | xcb_xfixes_fetch_region_rectangles_length (const xcb_xfixes_fetch_region_reply_t *R)
xcb_rectangle_iterator_t | xcb_xfixes_fetch_region_rectangles_iterator (const xcb_xfixes_fetch_region_reply_t *R)
xcb_xfixes_fetch_region_reply_t * | xcb_xfixes_fetch_region_reply (xcb_connection_t *c, xcb_xfixes_fetch_region_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xfixes_set_gc_clip_region_checked (xcb_connection_t *c, xcb_gcontext_t gc, xcb_xfixes_region_t region, int16_t x_origin, int16_t y_origin)
xcb_void_cookie_t | xcb_xfixes_set_gc_clip_region (xcb_connection_t *c, xcb_gcontext_t gc, xcb_xfixes_region_t region, int16_t x_origin, int16_t y_origin)
xcb_void_cookie_t | xcb_xfixes_set_window_shape_region_checked (xcb_connection_t *c, xcb_window_t dest, xcb_shape_kind_t dest_kind, int16_t x_offset, int16_t y_offset, xcb_xfixes_region_t region)
xcb_void_cookie_t | xcb_xfixes_set_window_shape_region (xcb_connection_t *c, xcb_window_t dest, xcb_shape_kind_t dest_kind, int16_t x_offset, int16_t y_offset, xcb_xfixes_region_t region)
xcb_void_cookie_t | xcb_xfixes_set_picture_clip_region_checked (xcb_connection_t *c, xcb_render_picture_t picture, xcb_xfixes_region_t region, int16_t x_origin, int16_t y_origin)
xcb_void_cookie_t | xcb_xfixes_set_picture_clip_region (xcb_connection_t *c, xcb_render_picture_t picture, xcb_xfixes_region_t region, int16_t x_origin, int16_t y_origin)
int | xcb_xfixes_set_cursor_name_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_xfixes_set_cursor_name_checked (xcb_connection_t *c, xcb_cursor_t cursor, uint16_t nbytes, const char *name)
xcb_void_cookie_t | xcb_xfixes_set_cursor_name (xcb_connection_t *c, xcb_cursor_t cursor, uint16_t nbytes, const char *name)
char * | xcb_xfixes_set_cursor_name_name (const xcb_xfixes_set_cursor_name_request_t *R)
int | xcb_xfixes_set_cursor_name_name_length (const xcb_xfixes_set_cursor_name_request_t *R)
xcb_generic_iterator_t | xcb_xfixes_set_cursor_name_name_end (const xcb_xfixes_set_cursor_name_request_t *R)
int | xcb_xfixes_get_cursor_name_sizeof (const void *_buffer)
xcb_xfixes_get_cursor_name_cookie_t | xcb_xfixes_get_cursor_name (xcb_connection_t *c, xcb_cursor_t cursor)
xcb_xfixes_get_cursor_name_cookie_t | xcb_xfixes_get_cursor_name_unchecked (xcb_connection_t *c, xcb_cursor_t cursor)
char * | xcb_xfixes_get_cursor_name_name (const xcb_xfixes_get_cursor_name_reply_t *R)
int | xcb_xfixes_get_cursor_name_name_length (const xcb_xfixes_get_cursor_name_reply_t *R)
xcb_generic_iterator_t | xcb_xfixes_get_cursor_name_name_end (const xcb_xfixes_get_cursor_name_reply_t *R)
xcb_xfixes_get_cursor_name_reply_t * | xcb_xfixes_get_cursor_name_reply (xcb_connection_t *c, xcb_xfixes_get_cursor_name_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xfixes_get_cursor_image_and_name_sizeof (const void *_buffer)
xcb_xfixes_get_cursor_image_and_name_cookie_t | xcb_xfixes_get_cursor_image_and_name (xcb_connection_t *c)
xcb_xfixes_get_cursor_image_and_name_cookie_t | xcb_xfixes_get_cursor_image_and_name_unchecked (xcb_connection_t *c)
uint32_t * | xcb_xfixes_get_cursor_image_and_name_cursor_image (const xcb_xfixes_get_cursor_image_and_name_reply_t *R)
int | xcb_xfixes_get_cursor_image_and_name_cursor_image_length (const xcb_xfixes_get_cursor_image_and_name_reply_t *R)
xcb_generic_iterator_t | xcb_xfixes_get_cursor_image_and_name_cursor_image_end (const xcb_xfixes_get_cursor_image_and_name_reply_t *R)
char * | xcb_xfixes_get_cursor_image_and_name_name (const xcb_xfixes_get_cursor_image_and_name_reply_t *R)
int | xcb_xfixes_get_cursor_image_and_name_name_length (const xcb_xfixes_get_cursor_image_and_name_reply_t *R)
xcb_generic_iterator_t | xcb_xfixes_get_cursor_image_and_name_name_end (const xcb_xfixes_get_cursor_image_and_name_reply_t *R)
xcb_xfixes_get_cursor_image_and_name_reply_t * | xcb_xfixes_get_cursor_image_and_name_reply (xcb_connection_t *c, xcb_xfixes_get_cursor_image_and_name_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xfixes_change_cursor_checked (xcb_connection_t *c, xcb_cursor_t source, xcb_cursor_t destination)
xcb_void_cookie_t | xcb_xfixes_change_cursor (xcb_connection_t *c, xcb_cursor_t source, xcb_cursor_t destination)
int | xcb_xfixes_change_cursor_by_name_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_xfixes_change_cursor_by_name_checked (xcb_connection_t *c, xcb_cursor_t src, uint16_t nbytes, const char *name)
xcb_void_cookie_t | xcb_xfixes_change_cursor_by_name (xcb_connection_t *c, xcb_cursor_t src, uint16_t nbytes, const char *name)
char * | xcb_xfixes_change_cursor_by_name_name (const xcb_xfixes_change_cursor_by_name_request_t *R)
int | xcb_xfixes_change_cursor_by_name_name_length (const xcb_xfixes_change_cursor_by_name_request_t *R)
xcb_generic_iterator_t | xcb_xfixes_change_cursor_by_name_name_end (const xcb_xfixes_change_cursor_by_name_request_t *R)
xcb_void_cookie_t | xcb_xfixes_expand_region_checked (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_xfixes_region_t destination, uint16_t left, uint16_t right, uint16_t top, uint16_t bottom)
xcb_void_cookie_t | xcb_xfixes_expand_region (xcb_connection_t *c, xcb_xfixes_region_t source, xcb_xfixes_region_t destination, uint16_t left, uint16_t right, uint16_t top, uint16_t bottom)
xcb_void_cookie_t | xcb_xfixes_hide_cursor_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_xfixes_hide_cursor (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_xfixes_show_cursor_checked (xcb_connection_t *c, xcb_window_t window)
xcb_void_cookie_t | xcb_xfixes_show_cursor (xcb_connection_t *c, xcb_window_t window)
void | xcb_xfixes_barrier_next (xcb_xfixes_barrier_iterator_t *i)
xcb_generic_iterator_t | xcb_xfixes_barrier_end (xcb_xfixes_barrier_iterator_t i)
int | xcb_xfixes_create_pointer_barrier_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_xfixes_create_pointer_barrier_checked (xcb_connection_t *c, xcb_xfixes_barrier_t barrier, xcb_window_t window, uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint32_t directions, uint16_t num_devices, const uint16_t *devices)
xcb_void_cookie_t | xcb_xfixes_create_pointer_barrier (xcb_connection_t *c, xcb_xfixes_barrier_t barrier, xcb_window_t window, uint16_t x1, uint16_t y1, uint16_t x2, uint16_t y2, uint32_t directions, uint16_t num_devices, const uint16_t *devices)
uint16_t * | xcb_xfixes_create_pointer_barrier_devices (const xcb_xfixes_create_pointer_barrier_request_t *R)
int | xcb_xfixes_create_pointer_barrier_devices_length (const xcb_xfixes_create_pointer_barrier_request_t *R)
xcb_generic_iterator_t | xcb_xfixes_create_pointer_barrier_devices_end (const xcb_xfixes_create_pointer_barrier_request_t *R)
xcb_void_cookie_t | xcb_xfixes_delete_pointer_barrier_checked (xcb_connection_t *c, xcb_xfixes_barrier_t barrier)
xcb_void_cookie_t | xcb_xfixes_delete_pointer_barrier (xcb_connection_t *c, xcb_xfixes_barrier_t barrier)
xcb_void_cookie_t | xcb_xfixes_set_client_disconnect_mode_checked (xcb_connection_t *c, uint32_t disconnect_mode)
| Sets the disconnect mode for the client.
xcb_void_cookie_t | xcb_xfixes_set_client_disconnect_mode (xcb_connection_t *c, uint32_t disconnect_mode)
| Sets the disconnect mode for the client.
xcb_xfixes_get_client_disconnect_mode_cookie_t | xcb_xfixes_get_client_disconnect_mode (xcb_connection_t *c)
xcb_xfixes_get_client_disconnect_mode_cookie_t | xcb_xfixes_get_client_disconnect_mode_unchecked (xcb_connection_t *c)
xcb_xfixes_get_client_disconnect_mode_reply_t * | xcb_xfixes_get_client_disconnect_mode_reply (xcb_connection_t *c, xcb_xfixes_get_client_disconnect_mode_cookie_t cookie, xcb_generic_error_t **e)

## Variables

xcb_extension_t | xcb_xfixes_id

## Detailed Description

XFixes XCB Protocol Implementation.

## Macro Definition Documentation

## XCB_XFIXES_BAD_REGION

#define XCB_XFIXES_BAD_REGION 0

Opcode for xcb_xfixes_bad_region.

## XCB_XFIXES_CHANGE_CURSOR

#define XCB_XFIXES_CHANGE_CURSOR 26

Opcode for xcb_xfixes_change_cursor.

Referenced by xcb_xfixes_change_cursor(), and xcb_xfixes_change_cursor_checked().

## XCB_XFIXES_CHANGE_CURSOR_BY_NAME

#define XCB_XFIXES_CHANGE_CURSOR_BY_NAME 27

Opcode for xcb_xfixes_change_cursor_by_name.

Referenced by xcb_xfixes_change_cursor_by_name(), and xcb_xfixes_change_cursor_by_name_checked().

## XCB_XFIXES_CHANGE_SAVE_SET

#define XCB_XFIXES_CHANGE_SAVE_SET 1

Opcode for xcb_xfixes_change_save_set.

Referenced by xcb_xfixes_change_save_set(), and xcb_xfixes_change_save_set_checked().

## XCB_XFIXES_COPY_REGION

#define XCB_XFIXES_COPY_REGION 12

Opcode for xcb_xfixes_copy_region.

Referenced by xcb_xfixes_copy_region(), and xcb_xfixes_copy_region_checked().

## XCB_XFIXES_CREATE_POINTER_BARRIER

#define XCB_XFIXES_CREATE_POINTER_BARRIER 31

Opcode for xcb_xfixes_create_pointer_barrier.

Referenced by xcb_xfixes_create_pointer_barrier(), and xcb_xfixes_create_pointer_barrier_checked().

## XCB_XFIXES_CREATE_REGION

#define XCB_XFIXES_CREATE_REGION 5

Opcode for xcb_xfixes_create_region.

Referenced by xcb_xfixes_create_region(), and xcb_xfixes_create_region_checked().

## XCB_XFIXES_CREATE_REGION_FROM_BITMAP

#define XCB_XFIXES_CREATE_REGION_FROM_BITMAP 6

Opcode for xcb_xfixes_create_region_from_bitmap.

Referenced by xcb_xfixes_create_region_from_bitmap(), and xcb_xfixes_create_region_from_bitmap_checked().

## XCB_XFIXES_CREATE_REGION_FROM_GC

#define XCB_XFIXES_CREATE_REGION_FROM_GC 8

Opcode for xcb_xfixes_create_region_from_gc.

Referenced by xcb_xfixes_create_region_from_gc(), and xcb_xfixes_create_region_from_gc_checked().

## XCB_XFIXES_CREATE_REGION_FROM_PICTURE

#define XCB_XFIXES_CREATE_REGION_FROM_PICTURE 9

Opcode for xcb_xfixes_create_region_from_picture.

Referenced by xcb_xfixes_create_region_from_picture(), and xcb_xfixes_create_region_from_picture_checked().

## XCB_XFIXES_CREATE_REGION_FROM_WINDOW

#define XCB_XFIXES_CREATE_REGION_FROM_WINDOW 7

Opcode for xcb_xfixes_create_region_from_window.

Referenced by xcb_xfixes_create_region_from_window(), and xcb_xfixes_create_region_from_window_checked().

## XCB_XFIXES_CURSOR_NOTIFY

#define XCB_XFIXES_CURSOR_NOTIFY 1

Opcode for xcb_xfixes_cursor_notify.

## XCB_XFIXES_DELETE_POINTER_BARRIER

#define XCB_XFIXES_DELETE_POINTER_BARRIER 32

Opcode for xcb_xfixes_delete_pointer_barrier.

Referenced by xcb_xfixes_delete_pointer_barrier(), and xcb_xfixes_delete_pointer_barrier_checked().

## XCB_XFIXES_DESTROY_REGION

#define XCB_XFIXES_DESTROY_REGION 10

Opcode for xcb_xfixes_destroy_region.

Referenced by xcb_xfixes_destroy_region(), and xcb_xfixes_destroy_region_checked().

## XCB_XFIXES_EXPAND_REGION

#define XCB_XFIXES_EXPAND_REGION 28

Opcode for xcb_xfixes_expand_region.

Referenced by xcb_xfixes_expand_region(), and xcb_xfixes_expand_region_checked().

## XCB_XFIXES_FETCH_REGION

#define XCB_XFIXES_FETCH_REGION 19

Opcode for xcb_xfixes_fetch_region.

Referenced by xcb_xfixes_fetch_region(), and xcb_xfixes_fetch_region_unchecked().

## XCB_XFIXES_GET_CLIENT_DISCONNECT_MODE

#define XCB_XFIXES_GET_CLIENT_DISCONNECT_MODE 34

Opcode for xcb_xfixes_get_client_disconnect_mode.

Referenced by xcb_xfixes_get_client_disconnect_mode(), and xcb_xfixes_get_client_disconnect_mode_unchecked().

## XCB_XFIXES_GET_CURSOR_IMAGE

#define XCB_XFIXES_GET_CURSOR_IMAGE 4

Opcode for xcb_xfixes_get_cursor_image.

Referenced by xcb_xfixes_get_cursor_image(), and xcb_xfixes_get_cursor_image_unchecked().

## XCB_XFIXES_GET_CURSOR_IMAGE_AND_NAME

#define XCB_XFIXES_GET_CURSOR_IMAGE_AND_NAME 25

Opcode for xcb_xfixes_get_cursor_image_and_name.

Referenced by xcb_xfixes_get_cursor_image_and_name(), and xcb_xfixes_get_cursor_image_and_name_unchecked().

## XCB_XFIXES_GET_CURSOR_NAME

#define XCB_XFIXES_GET_CURSOR_NAME 24

Opcode for xcb_xfixes_get_cursor_name.

Referenced by xcb_xfixes_get_cursor_name(), and xcb_xfixes_get_cursor_name_unchecked().

## XCB_XFIXES_HIDE_CURSOR

#define XCB_XFIXES_HIDE_CURSOR 29

Opcode for xcb_xfixes_hide_cursor.

Referenced by xcb_xfixes_hide_cursor(), and xcb_xfixes_hide_cursor_checked().

## XCB_XFIXES_INTERSECT_REGION

#define XCB_XFIXES_INTERSECT_REGION 14

Opcode for xcb_xfixes_intersect_region.

Referenced by xcb_xfixes_intersect_region(), and xcb_xfixes_intersect_region_checked().

## XCB_XFIXES_INVERT_REGION

#define XCB_XFIXES_INVERT_REGION 16

Opcode for xcb_xfixes_invert_region.

Referenced by xcb_xfixes_invert_region(), and xcb_xfixes_invert_region_checked().

## XCB_XFIXES_QUERY_VERSION

#define XCB_XFIXES_QUERY_VERSION 0

Opcode for xcb_xfixes_query_version.

Referenced by xcb_xfixes_query_version(), and xcb_xfixes_query_version_unchecked().

## XCB_XFIXES_REGION_EXTENTS

#define XCB_XFIXES_REGION_EXTENTS 18

Opcode for xcb_xfixes_region_extents.

Referenced by xcb_xfixes_region_extents(), and xcb_xfixes_region_extents_checked().

## XCB_XFIXES_SELECT_CURSOR_INPUT

#define XCB_XFIXES_SELECT_CURSOR_INPUT 3

Opcode for xcb_xfixes_select_cursor_input.

Referenced by xcb_xfixes_select_cursor_input(), and xcb_xfixes_select_cursor_input_checked().

## XCB_XFIXES_SELECT_SELECTION_INPUT

#define XCB_XFIXES_SELECT_SELECTION_INPUT 2

Opcode for xcb_xfixes_select_selection_input.

Referenced by xcb_xfixes_select_selection_input(), and xcb_xfixes_select_selection_input_checked().

## XCB_XFIXES_SELECTION_NOTIFY

#define XCB_XFIXES_SELECTION_NOTIFY 0

Opcode for xcb_xfixes_selection_notify.

## XCB_XFIXES_SET_CLIENT_DISCONNECT_MODE

#define XCB_XFIXES_SET_CLIENT_DISCONNECT_MODE 33

Opcode for xcb_xfixes_set_client_disconnect_mode.

Referenced by xcb_xfixes_set_client_disconnect_mode(), and xcb_xfixes_set_client_disconnect_mode_checked().

## XCB_XFIXES_SET_CURSOR_NAME

#define XCB_XFIXES_SET_CURSOR_NAME 23

Opcode for xcb_xfixes_set_cursor_name.

Referenced by xcb_xfixes_set_cursor_name(), and xcb_xfixes_set_cursor_name_checked().

## XCB_XFIXES_SET_GC_CLIP_REGION

#define XCB_XFIXES_SET_GC_CLIP_REGION 20

Opcode for xcb_xfixes_set_gc_clip_region.

Referenced by xcb_xfixes_set_gc_clip_region(), and xcb_xfixes_set_gc_clip_region_checked().

## XCB_XFIXES_SET_PICTURE_CLIP_REGION

#define XCB_XFIXES_SET_PICTURE_CLIP_REGION 22

Opcode for xcb_xfixes_set_picture_clip_region.

Referenced by xcb_xfixes_set_picture_clip_region(), and xcb_xfixes_set_picture_clip_region_checked().

## XCB_XFIXES_SET_REGION

#define XCB_XFIXES_SET_REGION 11

Opcode for xcb_xfixes_set_region.

Referenced by xcb_xfixes_set_region(), and xcb_xfixes_set_region_checked().

## XCB_XFIXES_SET_WINDOW_SHAPE_REGION

#define XCB_XFIXES_SET_WINDOW_SHAPE_REGION 21

Opcode for xcb_xfixes_set_window_shape_region.

Referenced by xcb_xfixes_set_window_shape_region(), and xcb_xfixes_set_window_shape_region_checked().

## XCB_XFIXES_SHOW_CURSOR

#define XCB_XFIXES_SHOW_CURSOR 30

Opcode for xcb_xfixes_show_cursor.

Referenced by xcb_xfixes_show_cursor(), and xcb_xfixes_show_cursor_checked().

## XCB_XFIXES_SUBTRACT_REGION

#define XCB_XFIXES_SUBTRACT_REGION 15

Opcode for xcb_xfixes_subtract_region.

Referenced by xcb_xfixes_subtract_region(), and xcb_xfixes_subtract_region_checked().

## XCB_XFIXES_TRANSLATE_REGION

#define XCB_XFIXES_TRANSLATE_REGION 17

Opcode for xcb_xfixes_translate_region.

Referenced by xcb_xfixes_translate_region(), and xcb_xfixes_translate_region_checked().

## XCB_XFIXES_UNION_REGION

#define XCB_XFIXES_UNION_REGION 13

Opcode for xcb_xfixes_union_region.

Referenced by xcb_xfixes_union_region(), and xcb_xfixes_union_region_checked().

## Enumeration Type Documentation

## xcb_xfixes_client_disconnect_flags_t

enum xcb_xfixes_client_disconnect_flags_t

Enumerator
XCB_XFIXES_CLIENT_DISCONNECT_FLAGS_DEFAULT | The default behavior for regular clients: the X11 server won't terminate as long as such clients are still connected, and should this client disconnect, the server will continue running so long as other clients (that have not set XFixesClientDisconnectFlagTerminate) are connected.
XCB_XFIXES_CLIENT_DISCONNECT_FLAGS_TERMINATE | Indicates to the X11 server that it can ignore the client and terminate itself even though the client is still connected to the X11 server.

## Function Documentation

## xcb_xfixes_barrier_end()

xcb_generic_iterator_t xcb_xfixes_barrier_end | ( | xcb_xfixes_barrier_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xfixes_barrier_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_xfixes_barrier_next()

void xcb_xfixes_barrier_next | ( | xcb_xfixes_barrier_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xfixes_barrier_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xfixes_barrier_t)

## xcb_xfixes_change_cursor()

xcb_void_cookie_t xcb_xfixes_change_cursor | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | source,
|  | xcb_cursor_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CHANGE_CURSOR.

## xcb_xfixes_change_cursor_by_name()

xcb_void_cookie_t xcb_xfixes_change_cursor_by_name | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | src,
|  | uint16_t | nbytes,
|  | const char * | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CHANGE_CURSOR_BY_NAME.

## xcb_xfixes_change_cursor_by_name_checked()

xcb_void_cookie_t xcb_xfixes_change_cursor_by_name_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | src,
|  | uint16_t | nbytes,
|  | const char * | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CHANGE_CURSOR_BY_NAME.

## xcb_xfixes_change_cursor_checked()

xcb_void_cookie_t xcb_xfixes_change_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | source,
|  | xcb_cursor_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CHANGE_CURSOR.

## xcb_xfixes_change_save_set()

xcb_void_cookie_t xcb_xfixes_change_save_set | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | uint8_t | target,
|  | uint8_t | map,
|  | xcb_window_t | window )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CHANGE_SAVE_SET.

## xcb_xfixes_change_save_set_checked()

xcb_void_cookie_t xcb_xfixes_change_save_set_checked | ( | xcb_connection_t * | c,
|  | uint8_t | mode,
|  | uint8_t | target,
|  | uint8_t | map,
|  | xcb_window_t | window )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CHANGE_SAVE_SET.

## xcb_xfixes_copy_region()

xcb_void_cookie_t xcb_xfixes_copy_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_COPY_REGION.

## xcb_xfixes_copy_region_checked()

xcb_void_cookie_t xcb_xfixes_copy_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_COPY_REGION.

## xcb_xfixes_create_pointer_barrier()

xcb_void_cookie_t xcb_xfixes_create_pointer_barrier | ( | xcb_connection_t * | c,
|  | xcb_xfixes_barrier_t | barrier,
|  | xcb_window_t | window,
|  | uint16_t | x1,
|  | uint16_t | y1,
|  | uint16_t | x2,
|  | uint16_t | y2,
|  | uint32_t | directions,
|  | uint16_t | num_devices,
|  | const uint16_t * | devices )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CREATE_POINTER_BARRIER.

## xcb_xfixes_create_pointer_barrier_checked()

xcb_void_cookie_t xcb_xfixes_create_pointer_barrier_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_barrier_t | barrier,
|  | xcb_window_t | window,
|  | uint16_t | x1,
|  | uint16_t | y1,
|  | uint16_t | x2,
|  | uint16_t | y2,
|  | uint32_t | directions,
|  | uint16_t | num_devices,
|  | const uint16_t * | devices )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CREATE_POINTER_BARRIER.

## xcb_xfixes_create_region()

xcb_void_cookie_t xcb_xfixes_create_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CREATE_REGION.

## xcb_xfixes_create_region_checked()

xcb_void_cookie_t xcb_xfixes_create_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CREATE_REGION.

## xcb_xfixes_create_region_from_bitmap()

xcb_void_cookie_t xcb_xfixes_create_region_from_bitmap | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_pixmap_t | bitmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CREATE_REGION_FROM_BITMAP.

## xcb_xfixes_create_region_from_bitmap_checked()

xcb_void_cookie_t xcb_xfixes_create_region_from_bitmap_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_pixmap_t | bitmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CREATE_REGION_FROM_BITMAP.

## xcb_xfixes_create_region_from_gc()

xcb_void_cookie_t xcb_xfixes_create_region_from_gc | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_gcontext_t | gc )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CREATE_REGION_FROM_GC.

## xcb_xfixes_create_region_from_gc_checked()

xcb_void_cookie_t xcb_xfixes_create_region_from_gc_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_gcontext_t | gc )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CREATE_REGION_FROM_GC.

## xcb_xfixes_create_region_from_picture()

xcb_void_cookie_t xcb_xfixes_create_region_from_picture | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_render_picture_t | picture )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CREATE_REGION_FROM_PICTURE.

## xcb_xfixes_create_region_from_picture_checked()

xcb_void_cookie_t xcb_xfixes_create_region_from_picture_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_render_picture_t | picture )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CREATE_REGION_FROM_PICTURE.

## xcb_xfixes_create_region_from_window()

xcb_void_cookie_t xcb_xfixes_create_region_from_window | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_window_t | window,
|  | xcb_shape_kind_t | kind )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_CREATE_REGION_FROM_WINDOW.

## xcb_xfixes_create_region_from_window_checked()

xcb_void_cookie_t xcb_xfixes_create_region_from_window_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | xcb_window_t | window,
|  | xcb_shape_kind_t | kind )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_CREATE_REGION_FROM_WINDOW.

## xcb_xfixes_delete_pointer_barrier()

xcb_void_cookie_t xcb_xfixes_delete_pointer_barrier | ( | xcb_connection_t * | c,
|  | xcb_xfixes_barrier_t | barrier )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_DELETE_POINTER_BARRIER.

## xcb_xfixes_delete_pointer_barrier_checked()

xcb_void_cookie_t xcb_xfixes_delete_pointer_barrier_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_barrier_t | barrier )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_DELETE_POINTER_BARRIER.

## xcb_xfixes_destroy_region()

xcb_void_cookie_t xcb_xfixes_destroy_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_DESTROY_REGION.

## xcb_xfixes_destroy_region_checked()

xcb_void_cookie_t xcb_xfixes_destroy_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_DESTROY_REGION.

## xcb_xfixes_expand_region()

xcb_void_cookie_t xcb_xfixes_expand_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_xfixes_region_t | destination,
|  | uint16_t | left,
|  | uint16_t | right,
|  | uint16_t | top,
|  | uint16_t | bottom )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_EXPAND_REGION.

## xcb_xfixes_expand_region_checked()

xcb_void_cookie_t xcb_xfixes_expand_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_xfixes_region_t | destination,
|  | uint16_t | left,
|  | uint16_t | right,
|  | uint16_t | top,
|  | uint16_t | bottom )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_EXPAND_REGION.

## xcb_xfixes_fetch_region()

xcb_xfixes_fetch_region_cookie_t xcb_xfixes_fetch_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_FETCH_REGION.

## xcb_xfixes_fetch_region_reply()

xcb_xfixes_fetch_region_reply_t * xcb_xfixes_fetch_region_reply | ( | xcb_connection_t * | c,
|  | xcb_xfixes_fetch_region_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xfixes_fetch_region_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xfixes_fetch_region_unchecked()

xcb_xfixes_fetch_region_cookie_t xcb_xfixes_fetch_region_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XFIXES_FETCH_REGION.

## xcb_xfixes_get_client_disconnect_mode()

xcb_xfixes_get_client_disconnect_mode_cookie_t xcb_xfixes_get_client_disconnect_mode | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_GET_CLIENT_DISCONNECT_MODE.

## xcb_xfixes_get_client_disconnect_mode_reply()

xcb_xfixes_get_client_disconnect_mode_reply_t * xcb_xfixes_get_client_disconnect_mode_reply | ( | xcb_connection_t * | c,
|  | xcb_xfixes_get_client_disconnect_mode_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xfixes_get_client_disconnect_mode_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xfixes_get_client_disconnect_mode_unchecked()

xcb_xfixes_get_client_disconnect_mode_cookie_t xcb_xfixes_get_client_disconnect_mode_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XFIXES_GET_CLIENT_DISCONNECT_MODE.

## xcb_xfixes_get_cursor_image()

xcb_xfixes_get_cursor_image_cookie_t xcb_xfixes_get_cursor_image | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_GET_CURSOR_IMAGE.

## xcb_xfixes_get_cursor_image_and_name()

xcb_xfixes_get_cursor_image_and_name_cookie_t xcb_xfixes_get_cursor_image_and_name | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_GET_CURSOR_IMAGE_AND_NAME.

## xcb_xfixes_get_cursor_image_and_name_reply()

xcb_xfixes_get_cursor_image_and_name_reply_t * xcb_xfixes_get_cursor_image_and_name_reply | ( | xcb_connection_t * | c,
|  | xcb_xfixes_get_cursor_image_and_name_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xfixes_get_cursor_image_and_name_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xfixes_get_cursor_image_and_name_unchecked()

xcb_xfixes_get_cursor_image_and_name_cookie_t xcb_xfixes_get_cursor_image_and_name_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XFIXES_GET_CURSOR_IMAGE_AND_NAME.

## xcb_xfixes_get_cursor_image_reply()

xcb_xfixes_get_cursor_image_reply_t * xcb_xfixes_get_cursor_image_reply | ( | xcb_connection_t * | c,
|  | xcb_xfixes_get_cursor_image_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xfixes_get_cursor_image_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xfixes_get_cursor_image_unchecked()

xcb_xfixes_get_cursor_image_cookie_t xcb_xfixes_get_cursor_image_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XFIXES_GET_CURSOR_IMAGE.

## xcb_xfixes_get_cursor_name()

xcb_xfixes_get_cursor_name_cookie_t xcb_xfixes_get_cursor_name | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_GET_CURSOR_NAME.

## xcb_xfixes_get_cursor_name_reply()

xcb_xfixes_get_cursor_name_reply_t * xcb_xfixes_get_cursor_name_reply | ( | xcb_connection_t * | c,
|  | xcb_xfixes_get_cursor_name_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xfixes_get_cursor_name_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xfixes_get_cursor_name_unchecked()

xcb_xfixes_get_cursor_name_cookie_t xcb_xfixes_get_cursor_name_unchecked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XFIXES_GET_CURSOR_NAME.

## xcb_xfixes_hide_cursor()

xcb_void_cookie_t xcb_xfixes_hide_cursor | ( | xcb_connection_t * | c,
|  | xcb_window_t | window )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_HIDE_CURSOR.

## xcb_xfixes_hide_cursor_checked()

xcb_void_cookie_t xcb_xfixes_hide_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_HIDE_CURSOR.

## xcb_xfixes_intersect_region()

xcb_void_cookie_t xcb_xfixes_intersect_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source1,
|  | xcb_xfixes_region_t | source2,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_INTERSECT_REGION.

## xcb_xfixes_intersect_region_checked()

xcb_void_cookie_t xcb_xfixes_intersect_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source1,
|  | xcb_xfixes_region_t | source2,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_INTERSECT_REGION.

## xcb_xfixes_invert_region()

xcb_void_cookie_t xcb_xfixes_invert_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_rectangle_t | bounds,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_INVERT_REGION.

## xcb_xfixes_invert_region_checked()

xcb_void_cookie_t xcb_xfixes_invert_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_rectangle_t | bounds,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_INVERT_REGION.

## xcb_xfixes_query_version()

xcb_xfixes_query_version_cookie_t xcb_xfixes_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | client_major_version,
|  | uint32_t | client_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_QUERY_VERSION.

## xcb_xfixes_query_version_reply()

xcb_xfixes_query_version_reply_t * xcb_xfixes_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_xfixes_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xfixes_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## xcb_xfixes_query_version_unchecked()

xcb_xfixes_query_version_cookie_t xcb_xfixes_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | client_major_version,
|  | uint32_t | client_minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_XFIXES_QUERY_VERSION.

## xcb_xfixes_region_end()

xcb_generic_iterator_t xcb_xfixes_region_end | ( | xcb_xfixes_region_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xfixes_region_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## xcb_xfixes_region_extents()

xcb_void_cookie_t xcb_xfixes_region_extents | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_REGION_EXTENTS.

## xcb_xfixes_region_extents_checked()

xcb_void_cookie_t xcb_xfixes_region_extents_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_REGION_EXTENTS.

## xcb_xfixes_region_next()

void xcb_xfixes_region_next | ( | xcb_xfixes_region_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xfixes_region_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xfixes_region_t)

## xcb_xfixes_select_cursor_input()

xcb_void_cookie_t xcb_xfixes_select_cursor_input | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | event_mask )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SELECT_CURSOR_INPUT.

## xcb_xfixes_select_cursor_input_checked()

xcb_void_cookie_t xcb_xfixes_select_cursor_input_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | event_mask )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SELECT_CURSOR_INPUT.

## xcb_xfixes_select_selection_input()

xcb_void_cookie_t xcb_xfixes_select_selection_input | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | selection,
|  | uint32_t | event_mask )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SELECT_SELECTION_INPUT.

## xcb_xfixes_select_selection_input_checked()

xcb_void_cookie_t xcb_xfixes_select_selection_input_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | selection,
|  | uint32_t | event_mask )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SELECT_SELECTION_INPUT.

## xcb_xfixes_set_client_disconnect_mode()

xcb_void_cookie_t xcb_xfixes_set_client_disconnect_mode | ( | xcb_connection_t * | c,
|  | uint32_t | disconnect_mode )

Sets the disconnect mode for the client.

Parameters

  c | The connection
  disconnect_mode | The new disconnect mode.

Returns
  A cookie

No description yet

References XCB_XFIXES_SET_CLIENT_DISCONNECT_MODE.

## xcb_xfixes_set_client_disconnect_mode_checked()

xcb_void_cookie_t xcb_xfixes_set_client_disconnect_mode_checked | ( | xcb_connection_t * | c,
|  | uint32_t | disconnect_mode )

Sets the disconnect mode for the client.

Parameters

  c | The connection
  disconnect_mode | The new disconnect mode.

Returns
  A cookie

No description yet

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SET_CLIENT_DISCONNECT_MODE.

## xcb_xfixes_set_cursor_name()

xcb_void_cookie_t xcb_xfixes_set_cursor_name | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor,
|  | uint16_t | nbytes,
|  | const char * | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SET_CURSOR_NAME.

## xcb_xfixes_set_cursor_name_checked()

xcb_void_cookie_t xcb_xfixes_set_cursor_name_checked | ( | xcb_connection_t * | c,
|  | xcb_cursor_t | cursor,
|  | uint16_t | nbytes,
|  | const char * | name )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SET_CURSOR_NAME.

## xcb_xfixes_set_gc_clip_region()

xcb_void_cookie_t xcb_xfixes_set_gc_clip_region | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc,
|  | xcb_xfixes_region_t | region,
|  | int16_t | x_origin,
|  | int16_t | y_origin )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SET_GC_CLIP_REGION.

## xcb_xfixes_set_gc_clip_region_checked()

xcb_void_cookie_t xcb_xfixes_set_gc_clip_region_checked | ( | xcb_connection_t * | c,
|  | xcb_gcontext_t | gc,
|  | xcb_xfixes_region_t | region,
|  | int16_t | x_origin,
|  | int16_t | y_origin )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SET_GC_CLIP_REGION.

## xcb_xfixes_set_picture_clip_region()

xcb_void_cookie_t xcb_xfixes_set_picture_clip_region | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_xfixes_region_t | region,
|  | int16_t | x_origin,
|  | int16_t | y_origin )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SET_PICTURE_CLIP_REGION.

## xcb_xfixes_set_picture_clip_region_checked()

xcb_void_cookie_t xcb_xfixes_set_picture_clip_region_checked | ( | xcb_connection_t * | c,
|  | xcb_render_picture_t | picture,
|  | xcb_xfixes_region_t | region,
|  | int16_t | x_origin,
|  | int16_t | y_origin )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SET_PICTURE_CLIP_REGION.

## xcb_xfixes_set_region()

xcb_void_cookie_t xcb_xfixes_set_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SET_REGION.

## xcb_xfixes_set_region_checked()

xcb_void_cookie_t xcb_xfixes_set_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | uint32_t | rectangles_len,
|  | const xcb_rectangle_t * | rectangles )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SET_REGION.

## xcb_xfixes_set_window_shape_region()

xcb_void_cookie_t xcb_xfixes_set_window_shape_region | ( | xcb_connection_t * | c,
|  | xcb_window_t | dest,
|  | xcb_shape_kind_t | dest_kind,
|  | int16_t | x_offset,
|  | int16_t | y_offset,
|  | xcb_xfixes_region_t | region )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SET_WINDOW_SHAPE_REGION.

## xcb_xfixes_set_window_shape_region_checked()

xcb_void_cookie_t xcb_xfixes_set_window_shape_region_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | dest,
|  | xcb_shape_kind_t | dest_kind,
|  | int16_t | x_offset,
|  | int16_t | y_offset,
|  | xcb_xfixes_region_t | region )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SET_WINDOW_SHAPE_REGION.

## xcb_xfixes_show_cursor()

xcb_void_cookie_t xcb_xfixes_show_cursor | ( | xcb_connection_t * | c,
|  | xcb_window_t | window )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SHOW_CURSOR.

## xcb_xfixes_show_cursor_checked()

xcb_void_cookie_t xcb_xfixes_show_cursor_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SHOW_CURSOR.

## xcb_xfixes_subtract_region()

xcb_void_cookie_t xcb_xfixes_subtract_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source1,
|  | xcb_xfixes_region_t | source2,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_SUBTRACT_REGION.

## xcb_xfixes_subtract_region_checked()

xcb_void_cookie_t xcb_xfixes_subtract_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source1,
|  | xcb_xfixes_region_t | source2,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_SUBTRACT_REGION.

## xcb_xfixes_translate_region()

xcb_void_cookie_t xcb_xfixes_translate_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | int16_t | dx,
|  | int16_t | dy )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_TRANSLATE_REGION.

## xcb_xfixes_translate_region_checked()

xcb_void_cookie_t xcb_xfixes_translate_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | region,
|  | int16_t | dx,
|  | int16_t | dy )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_TRANSLATE_REGION.

## xcb_xfixes_union_region()

xcb_void_cookie_t xcb_xfixes_union_region | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source1,
|  | xcb_xfixes_region_t | source2,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_XFIXES_UNION_REGION.

## xcb_xfixes_union_region_checked()

xcb_void_cookie_t xcb_xfixes_union_region_checked | ( | xcb_connection_t * | c,
|  | xcb_xfixes_region_t | source1,
|  | xcb_xfixes_region_t | source2,
|  | xcb_xfixes_region_t | destination )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_XFIXES_UNION_REGION.